Bug 185888 - amarok: no indicator when using "Stop Playing Atfter This Track"
Summary: amarok: no indicator when using "Stop Playing Atfter This Track"
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.0-SVN
Platform: unspecified Linux
: HI wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-01 17:56 UTC by missive
Modified: 2009-12-09 11:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description missive 2009-03-01 17:56:08 UTC
Version:           2.0-SVN (using 4.2.65 (KDE 4.2.65 (KDE 4.3 >= 20090226)), compiled sources)
Compiler:          gcc
OS:                Linux (i686) release 2.6.27-7-generic

There should be some kind of graphical indication on the last track that will play when using "Stop Playing After This Track".

Also... when a track has been selected like that, the option should change from "Stop Playing After This Track" to something like "Don't Stop After This Track"
Comment 1 Mark Kretschmann 2009-03-01 18:18:49 UTC
Sounds more like a wish to me. However, I do agree that this might be useful.
Comment 2 Luca 2009-04-10 11:33:01 UTC
I support this wish. In amarok 1.4 it was already present.
Comment 3 Lydia Pintscher 2009-04-10 11:37:10 UTC
Marking as high as I had several people ask for it.
Comment 4 Seb Ruiz 2009-04-11 11:33:22 UTC
SVN commit 952163 by seb:

Show a marker for "stop after current track"
BUG: 185888

 M  +1 -0      PlaylistActions.h  
 M  +3 -0      PlaylistModel.cpp  
 M  +2 -1      PlaylistModel.h  
 M  +14 -0     view/listview/PrettyItemDelegate.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=952163
Comment 5 Frederik Gladhorn 2009-04-12 11:07:29 UTC
Hi Seb,
for me your fix is not working, instead "stop playing after this track" has no effect at all any more.
This is with revision 952552.
Greetings,
Frederik
Comment 6 Frederik Gladhorn 2009-04-12 11:23:43 UTC
uhhh... I don't know why but it does work now, discard my previous comment, sorry!
Comment 7 missive 2009-04-18 21:57:21 UTC
I have built r955876 and I also do not see any indicator.

Actually, as someone mentioned in Bug 186564, Stop Playing After This Track no longer works at all.

I started with all fresh config files to check that.
Comment 8 Frederik Gladhorn 2009-04-23 15:08:48 UTC
Too bad, after this worked exactly once for me, stop playing after track is back to not working at all. Reopening.
Greetings,
Frederik
Comment 9 Lydia Pintscher 2009-04-27 22:26:40 UTC
Leo fixed a nasty bug a few minutes ago concerning stop-after-this-track. Can you please recheck with current trunk?
Comment 10 Mark Kretschmann 2009-04-28 08:11:11 UTC
Yep, Leo's commit fixed this one too.